#
# spec file for package lzma (Version 4.32.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           lzma
BuildRequires:  gcc-c++
Summary:        A Program for Compressing Files
Version:        4.32.6
Release:        6.1
Group:          Productivity/Archiving/Compression
License:        GPL v2 or later
Url:            http://tukaani.org/lzma/
Source:         %{name}-%{version}.tar.bz2
#Patch:          %{name}-%{version}.diff
Patch1:         nostatic.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lzma is a very powerful program for compressing files.

* Average compression ratio of LZMA is about 30% better than that of
   gzip, and 15% better than that of bzip2.

* Decompression speed is only little slower than that of gzip, being
   two to five times faster than bzip2.

* In fast mode, compresses faster than bzip2 with a comparable
   compression ratio.

* Achieving the best compression ratios takes four to even twelve
   times longer than with bzip2. However. this doesn't affect
   decompressing speed.

* Very similar command line interface than what gzip and bzip2 have.



Authors:
--------
    Igor Pavlov
    Ville Koskinen
    Lasse Collin <lasse.collin@tukaani.org>

%package -n liblzmadec0
License:        LGPL v2.1 or later
Summary:        LZMA decoder library
Group:          System/Libraries
Provides:       liblzmadec-0 = %version
Obsoletes:      liblzmadec-0 < %version

%description -n liblzmadec0
Decoding library for LZMA



Authors:
--------
    Igor Pavlov
    Ville Koskinen
    Lasse Collin <lasse.collin@tukaani.org>

%package devel
License:        LGPL v2.1 or later
Summary:        Development package for the LZMA decoder library
Group:          Development/Libraries/C and C++
Requires:       liblzmadec0 = %{version}

%description devel
This package contains the header files and libraries needed for
compiling programs using the LZMA decoder library liblzmadec0



Authors:
--------
    Igor Pavlov
    Ville Koskinen
    Lasse Collin <lasse.collin@tukaani.org>

%prep
%setup -q
#%patch
%patch1

%build
#autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
#empty dependency_libs
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -fr $RPM_BUILD_ROOT

%post -n liblzmadec0 -p /sbin/ldconfig

%postun -n liblzmadec0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man?/*

%files -n liblzmadec0
%defattr(-, root, root)
%{_libdir}/lib*.so.0*

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.*a

%changelog
* Mon Jun  9 2008 martin.mohring@5etech.eu
- made a multiplatform package for use with OBS
- to link against Factory
* Wed May 14 2008 schwab@suse.de
- Update to lzma-4.32.6.
  * Always use 32-bit integer to hold probability variables. Earlier,
    these were 64-bit on 64-bit architectures, which hurt cache
    efficiency in the CPU, and thus performance of LZMA. 32-bit
    architectures are not affected by this change.
  * Fix a theoretical data corruption bug in the LZMA encoder. It is
    about overflowing a 32-bit integer, whose typical value stays below
    five. I don't know if it is actually possible to construct to a file
    that could make it overflow. Even if it were possible, it would "only"
    make the output file corrupt so that it is 4 GiB too small; there
    are no other security risks. Now the integer is 64-bit to be sure
    it won't overflow.
  * Add support for copying timestamps on operating systems that support
    setting timestamps only by filename, not by file descriptor.
  * Several portability fixes were made.
* Fri May  9 2008 schwab@suse.de
- Revert last changes.
* Tue May  6 2008 bk@suse.de
- ci removed #neededforbuild while mbuild converts to BuildRequires
- bzip2 source to save space (not lzma, so it can be built in <11.0)
* Tue May  6 2008 bk@suse.de
- run the package-provided self-test by adding a call to 'make check'
- use %%configure instead of equivalent configure call with options
- improved to allow building in SLES and non-SUSE repositories, eg:
  - replace obsolete nostatic patch with check for static objects
  - use more generic wildcards in the file list for manual pages
* Mon Feb  4 2008 schwab@suse.de
- Fix installation.
* Mon Feb  4 2008 schwab@suse.de
- Update to lzma-4.32.5.
  * The percentage shown when --verbose is used, works again. Also some
    typos were fixed from the messages printed by --verbose.
  * Several small portability fixes were made.
* Fri Jan  4 2008 crrodriguez@suse.de
- Version 4.32.4
  * Ignore command line switch --format=alone. This way current scripts
    can be written so that they will produce LZMA_Alone format files
    even with the new command line tool once it is finishes along with
    liblzma.
  * The command line tool now tells if the user tries to decode files
    in the new .lzma format. The message recommends upgrading to newer
    LZMA Utils.
  * Added some internal consistency checks to liblzmadec, so that it
    doesn't crash if given lzmadec_stream whose initialization failed.
    Some applications using zlib and libbzip2 don't check if
    initialization was successful, and expect that error gets caught
    safely later.
- disable static libraries
- remove liblzmadec.la that has empty dependency_libs
- do not link utils statically
* Mon Dec  3 2007 dmueller@suse.de
- update to 4.32.3:
  * rare file content loss bugs fixed (did not check for error upon close())
  * permissions copying fixed
- testsuited switched partially to GPLv3
- fix library package name
* Thu Oct 11 2007 schwab@suse.de
- Fix missing include.
* Wed Oct 10 2007 schwab@suse.de
- Initial version 4.32.0beta5.
